For the complete documentation index, see llms.txt. This page is also available as Markdown.

Call park groups

List call park groups

get

List call park groups

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/call_park_groups

Create a call park group

post

Create a new call park group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 64Optional

The name of call park group

recall_tostring · enumOptional

Select how the park server forwards the call when the parked call is not picked up in the Recall Time. The forwarding destination can be an extension or a ring group. Can be either:

  • USER_ONLY:
  • USER_FIRST_THEN_RING_GROUP:
  • RING_GROUP_ONLY:

When set to USER_FIRST_THEN_RING_GROUP or RING_GROUP_ONLY, ring_group_id must also be specified.

Possible values:
ring_group_idstringOptional

The unique ID of ring group.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
201

Created call park group

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/call_park_groups

Retrieve a call park group

get

Retrieves details of a call park group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The name of call park group

recall_tostring · enumOptional

Select how the park server forwards the call when the parked call is not picked up in the Recall Time. The forwarding destination can be an extension or a ring group. Can be either:

  • USER_ONLY:
  • USER_FIRST_THEN_RING_GROUP:
  • RING_GROUP_ONLY:

When set to USER_FIRST_THEN_RING_GROUP or RING_GROUP_ONLY, ring_group_id must also be specified.

Possible values:
ring_group_idstringOptional

The unique ID of ring group.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
get/call_park_groups/{id}

Update an call park group.

post

Update an call park group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
namestring · min: 1 · max: 64Optional

The name of call park group

recall_tostring · enumOptional

Select how the park server forwards the call when the parked call is not picked up in the Recall Time. The forwarding destination can be an extension or a ring group. Can be either:

  • USER_ONLY:
  • USER_FIRST_THEN_RING_GROUP:
  • RING_GROUP_ONLY:

When set to USER_FIRST_THEN_RING_GROUP or RING_GROUP_ONLY, ring_group_id must also be specified.

Possible values:
ring_group_idstringOptional

The unique ID of ring group.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

Updated call park group

No content

post/call_park_groups/{id}

No content

Was this helpful?